Mailinglist Archive: opensuse-buildservice (233 mails)

< Previous Next >
[opensuse-buildservice] Fedora19 libjpeg hassles
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi guys,

As you might know, Fedora replaced libjpeg by libjpeg-turbo some
releases ago. Until up to F18, they kept the package-names however. Now,
with F19, they renamed the *package* libjpeg to libjpeg-turbo. This
package still provides /usr/lib{64}/libjpeg.so.62 et. al.

This appears to confuse OBS quite a bit:

Just an example my EHS package. It BuildRequires doxygen and graphviz
which triggers all the following

For 32bit:
nothing provides libjpeg.so.62 needed by graphviz, nothing provides
libjpeg.so.62 needed by gdk-pixbuf2, nothing provides
libjpeg.so.62(LIBJPEG_6.2) needed by gdk-pixbuf2, nothing provides
libjpeg.so.62 needed by gd, nothing provides libjpeg.so.62(LIBJPEG_6.2)
needed by gd, nothing provides libjpeg.so.62 needed by ghostscript,
nothing provides libjpeg.so.62(LIBJPEG_6.2) needed by ghostscript,
nothing provides libjpeg.so.62 needed by libtiff, nothing provides
libjpeg.so.62(LIBJPEG_6.2) needed by libtiff, nothing provides
libjpeg.so.62 needed by jasper-libs, nothing provides
libjpeg.so.62(LIBJPEG_6.2) needed by jasper-libs

For 64bit:
nothing provides libjpeg.so.62()(64bit) needed by graphviz, nothing
provides libjpeg.so.62()(64bit) needed by gdk-pixbuf2, nothing provides
libjpeg.so.62(LIBJPEG_6.2)(64bit) needed by gdk-pixbuf2, nothing
provides libjpeg.so.62()(64bit) needed by gd, nothing provides
libjpeg.so.62(LIBJPEG_6.2)(64bit) needed by gd, nothing provides
libjpeg.so.62()(64bit) needed by ghostscript, nothing provides
libjpeg.so.62(LIBJPEG_6.2)(64bit) needed by ghostscript, nothing
provides libjpeg.so.62()(64bit) needed by libtiff, nothing provides
libjpeg.so.62(LIBJPEG_6.2)(64bit) needed by libtiff, nothing provides
libjpeg.so.62()(64bit) needed by jasper-libs, nothing provides
libjpeg.so.62(LIBJPEG_6.2)(64bit) needed by jasper-libs

I tried to work around that, using a custom buildconfig, however then I
also have some packages which actually need libjpeg. E.g: There is my
OpenNX package which BuildRequires: wxGTK-devel which in turn requires
libjpeg. It fails during linkage (despite using my custom projconf below):

...
[ 295s] CXXLD opennx
[ 297s] /bin/ld: warning: libjpeg.so.62, needed by
/usr/lib/gcc/i686-redhat-linux/4.8.1/../../../libwx_gtk2u_xrc-2.8.so,
not found (try using -rpath or -rpath-link)
[ 297s]
/usr/lib/gcc/i686-redhat-linux/4.8.1/../../../libwx_gtk2u_core-2.8.so:
undefined reference to `jpeg_finish_decompress@LIBJPEG_6.2'
...

even though I can see in the build log that libjpeg-turbo-devel gets
installed before the build starts. The package builds fine on a local
F19 machine.

This is the custom prjconf which I tried to use.

%if "%_repository" == "Fedora_19"
Required: libjpeg-turbo
Keep: libjpeg-turbo
Substitute: libjpeg libjpeg-turbo
Substitute: libjpeg-devel libjpeg-turbo-devel
Ignore: libjpeg.so.62
Ignore: libjpeg.so.62(LIBJPEG_6.2)
Ignore: libjpeg.so.62()(64bit)
Ignore: libjpeg.so.62(LIBJPEG_6.2)(64bit)
Ignore: libjpeg = 6b:java-1.7.0-openjdk
%endif

Can any admin perhaps tweak the global config for Fedora19 in a way that
OBS "knows" about which package provides libjpeg.so.62 ?

Thanks
-Fritz
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iEYEARECAAYFAlKSnqkACgkQboM4mAMyprC7BACgitidEgJBtJes+nQyFnLqNlUR
wNcAniWgqOgo3fbpHxmaWgP9FDWEWFke
=ZAc7
-----END PGP SIGNATURE-----
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups